Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233743 - Review Request: python-html2text - Converts a page of HTML into clean, easy-to-read plain ASCII text
Summary: Review Request: python-html2text - Converts a page of HTML into clean, easy-t...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 233715
TreeView+ depends on / blocked
 
Reported: 2007-03-24 13:19 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 08:18:59 UTC
pertusus: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Thorsten Leemhuis 2007-03-24 13:19:05 UTC
Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/python-html2text.spec

SRPM URL:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/python-html2text-2.26-1.src.rpm

Description:
html2text is a Python script that convers a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

(needed for rss2email, see Bug 233715)

Comment 1 Patrice Dumas 2007-03-24 17:06:55 UTC
dos2unix isn't in the default buildroot, I suggest using sed instead:

sed -i -e 's/\r//' html2text.py

* rpmlint output is ignorable
W: python-html2text no-documentation
* free software license, not included - but there is only one
  file.
* follow guidelines
* match upstream
6b567fea434b188e3ce838fffccf1565  html2text-2.26.py
* sane provides
* files section right

APPROVED, once you fix the dos2unix issue.

Comment 2 Thorsten Leemhuis 2007-03-24 18:33:52 UTC
Patrice, thx for the review. Updated package which uses sed now instead of dos2unix:

Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/python-html2text.spec

SRPM URL:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/python-html2text-2.26-1.src.rpm

New Package CVS Request
=======================
Package Name: python-html2text
Short Description: Converts a page of HTML into clean, easy-to-read plain ASCII text
Owners: fedora@leemhuis.info
Branches: FC-6 EL-4 EL-5
InitialCC:

Comment 3 Thorsten Leemhuis 2007-03-26 08:18:59 UTC
built, thx everyone


Note You need to log in before you can comment on or make changes to this bug.